Skip to content
Start here

Fetch a participant's detail

client.RealtimeKit.Meetings.GetMeetingParticipant(ctx, appID, meetingID, participantID, query) (*MeetingGetMeetingParticipantResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Returns a participant details for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
meetingID string
formatuuid
participantID string
query MeetingGetMeetingParticipantParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type MeetingGetMeetingParticipantResponse struct{…}
Data MeetingGetMeetingParticipantResponseData

Data returned by the operation

ID string

ID of the participant.

formatuuid
CreatedAt Time

When this object was created. The time is returned in ISO format.

formatdate-time
CustomParticipantID string

A unique participant ID generated by the client.

PresetName string

Preset applied to the participant.

UpdatedAt Time

When this object was updated. The time is returned in ISO format.

formatdate-time
Name stringoptional

Name of the participant.

Picture stringoptional

URL to a picture of the participant.

formaturi
Success bool

Success status of the operation

Fetch a participant's detail

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.GetMeetingParticipant(
    context.TODO(),
    "app_id",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "participant_id",
    realtime_kit.MeetingGetMeetingParticipantParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  },
  "success": true
}